<?php

require "config.php";
require "standards.php";

find_portal_root();
$this_user = check_auth_user();

?>

<html>
  <head>
    <title>Egenskaber for <?=$file?></title>
    <link rel="stylesheet" type="text/css" href="styles.css" />
    <script language="JavaScript">
    <!--- Comment to stop JavaScript from being read by unfriendly browers
    function launch(field_name, form_name, script, cwd) {
	gallery=window.open(script+"?cwd="+cwd+"&field_name="+field_name+"&form_name="+form_name,"gallery",'toolbar=1,menubar=0,status=1,scrollbars=0,SCROLLING=NO,resizable="yes",WIDTH=300,height=380')
    }
    function confirm_remove(file) {
	if (confirm("Vil du slette filen " + file + " ?")) {
	    document.prop_remove_form.submit();
	}
    }
    function close_win() {
	close();
    }
    // End of comment to hide script -->
    </script>

			
  </head>
  <body>
  <h1>Egenskaber for <em><?=$file?></em></h1><hr/>


<?php

echo "<table width=\"100%\">";
echo "<form name=\"prop_move_form\" method=\"get\" action=\"$admin_process\">\n";
echo "<input type=\"hidden\" name=\"cwd\" value=\"$cwd\">\n";
echo "<input type=\"hidden\" name=\"close_win\" value=\"1\">\n";
echo "<input type=\"hidden\" name=\"move_file\" value=\"$file\">\n";
echo "<tr><td><b>Flyt fil til</b></td><td><input type=\"text\" name=\"move_file_dir\">";
echo "&nbsp;<a href=\"#\" onClick='launch(\"move_file_dir\",\"prop_move_form\",\"$browse_script\",\"$cwd\");return false;'><img src=\"grafik/lup.gif\" border=\"0\"></a></td>";
echo "<td align=\"right\"><input type=\"submit\" value=\"Flyt\"></td></tr>";
echo "</form>\n";
if (!is_link("$abs_cwd/$file")) {		// We don't allow making symbolic links to other sym.links.
    echo "<form name=\"prop_link_form\" method=\"get\" action=\"$admin_process\">\n";
    echo "<input type=\"hidden\" name=\"cwd\" value=\"$cwd\">\n";
    echo "<input type=\"hidden\" name=\"close_win\" value=\"1\">\n";
    echo "<input type=\"hidden\" name=\"make_link_file\" value=\"$file\">\n";
    echo "<tr><td><b>Opret link i katalog</b></td><td><input type=\"text\" name=\"make_link_dir\">";
    echo "&nbsp;<a href=\"#\" onClick='launch(\"make_link_dir\",\"prop_link_form\",\"$browse_script\",\"$cwd\");return false;'><img src=\"grafik/lup.gif\" border=\"0\"></a></td>";
    echo "<td align=\"right\"><input type=\"submit\" value=\"Opret\"></td></tr>";
    echo "</form>\n";
}
echo "<form name=\"prop_remove_form\" method=\"get\" action=\"$admin_process\">\n";
echo "<input type=\"hidden\" name=\"cwd\" value=\"$cwd\">\n";
echo "<input type=\"hidden\" name=\"close_win\" value=\"1\">\n";
echo "<input type=\"hidden\" name=\"remove\" value=\"", trim_filename("$abs_cwd/$file"), "\">";
echo "<tr><td><b>Slet fil</b></td><td colspan=\"2\" align=\"right\"><input type=\"button\" value=\"Slet\" onClick=\"confirm_remove('$file')\"></td></tr>\n";
echo "</form>\n";
echo "<tr><td>&nbsp;</td></tr>\n";
echo "<tr><td colspan=\"3\" align=\"right\"><form><input type=\"button\" onClick=\"close_win()\" value=\"Tilbage\"></form></td></tr>\n";
echo "</table>";


?>
    <hr/>
    <center><font size="1"><?=$this_user['name']?></font></center>

  </body>
</html>

<?php

// $Log: prop.php,v $
// Revision 1.6  2002/09/12 10:08:18  sondberg
// Relative symbolic linking stable with respect to (re)moving of files.
//
// Revision 1.5  2002/09/11 10:24:07  sondberg
// Hides linking feature if file is a link.
//
// Revision 1.4  2002/07/25 14:30:57  sondberg
// Prepared for moving files in prop.php.
//
// Revision 1.3  2002/07/25 13:49:31  sondberg
// Wrong field names in java scripts.
//
// Revision 1.2  2002/07/25 08:35:27  sondberg
// Added this file to repository.
//

?>
